.btn-stw {
    background-color: var(--stw-medium-light-blue-color);
    border: none;
    color: var(--stw-white-color);
    clip-path:  var(--octagon-shape-5px);
    display: inline-block;
    padding: 0.5em 1em 0.5em 1em;
    margin-right: 1em;
}

.btn-stw:hover {
    text-shadow: 0 0 5px var(--text-color-general), 0 0 10px var(--text-color-general), 0 0 15px var(--text-color-general), 0 0 20px var(--text-color-general);
    filter: brightness(1.05);
    border-bottom-color: var(--text-color-general);
}

/* ADD BUTTON: ( + ) SYMBOL -- I.E. -> REPORTING.HTML/LEARN ERRORS ADD TAG BUTTON */

.stw-add-btn {
    background-color: var(--stw-transparent-color);
    border: none;
    color: var(--text-color-general);
    clip-path: var(--octagon-shape-5px);
    padding: 0.3em;
}

.stw-add-btn:hover {
    color: var(--stw-grey-color);
    text-shadow: 0 0 5px var(--text-color-general), 0 0 10px var(--text-color-general), 0 0 15px var(--text-color-general), 0 0 20px var(--text-color-general);
    filter: brightness(1.05);
    border-bottom-color: var(--text-color-general);
}


/* END ADD BUTTON */

/* DIFUSE TEXT - DIVS -- VIBRATE AND BREAK */

.stw-difuse-btn {
  position: relative;
  display: inline-block;
  padding: 16px 20px;
  background: linear-gradient(45deg, transparent 5%, var(--stw-blue-color) 5%);
  border: 0;
  color: var(--stw-grey-color);
  line-height: 1;
  box-shadow: 6px 0px 0px var(--stw-grey-color);
  outline: transparent;
  overflow: visible;
}

.stw-difuse-btn::after {
    --slice-0: inset(50% 50% 50% 50%);
    --slice-1: inset(80% -6px 0 0);
    --slice-2: inset(50% -6px 30% 0);
    --slice-3: inset(10% -6px 85% 0);
    --slice-4: inset(40% -6px 43% 0);
    --slice-5: inset(80% -6px 5% 0);
    content: "¡SCITHEWORLD!";
    font-size: 18px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(45deg, transparent 3%, var(--stw-blue-color) 3%, var(--stw-blue-color) 5%, var(--stw-blue-color) 5%);
    text-shadow: -6px -6px 0px #f8f005, 6px 6px 0px #00e6f6;
    clip-path: var(--slice-0);
    animation: glitch 10s steps(2, end) infinite;

}

.stw-difuse-btn:hover {
    color: var(--stw-grey-color);
    text-shadow: 0 0 5px var(--text-color-general), 0 0 10px var(--text-color-general), 0 0 15px var(--text-color-general), 0 0 20px var(--text-color-general);
    filter: brightness(1.05);
    border-bottom-color: var(--text-color-general);
}

@keyframes glitch {
  0% {
    clip-path: var(--slice-1);
    transform: translate(-25px, -15px); /* Ajuste para sobresalir */
  }

  1% {
    clip-path: var(--slice-3);
    transform: translate(15px, 15px); /* Ajuste para sobresalir */
  }

  2% {
    clip-path: var(--slice-1);
    transform: translate(-15px, 15px); /* Ajuste para sobresalir */
  }

  3% {
    clip-path: var(--slice-3);
    transform: translate(0px, 10px); /* Ajuste para sobresalir */
  }

  4% {
    clip-path: var(--slice-2);
    transform: translate(-10px, 0px); /* Ajuste para sobresalir */
  }

  5% {
    clip-path: var(--slice-3);
    transform: translate(10px, 0px); /* Ajuste para sobresalir */
  }

  6% {
    clip-path: var(--slice-4);
    transform: translate(10px, 15px); /* Ajuste para sobresalir */
  }

  7% {
    clip-path: var(--slice-2);
    transform: translate(-15px, 15px); /* Ajuste para sobresalir */
  }

  8% {
    clip-path: var(--slice-5);
    transform: translate(25px, -15px); /* Ajuste para sobresalir */
  }

  9% {
    clip-path: var(--slice-1);
    transform: translate(-15px, 0px); /* Ajuste para sobresalir */
  }

  10% {
    clip-path: var(--slice-1);
    transform: translate(0);
  }

  11% {
    clip-path: var(--slice-0);
    transform: translate(0, 0); /* Mantener posición normal */
  }

  100% {
    clip-path: var(--slice-0);
    transform: translate(0, 0); /* Mantener posición normal */
  }

}

/* END DIFUSION */


/* PREVIOUS / NEXT BUTTON */

.stw-arrow-btn {
    background-color: var(--stw-transparent-color);
    border: none;
    color: var(--hover-color);
    font-size: 25px;
    color: var(--stw-grey-color);
}

.stw-arrow-btn:hover {
    color: var(--hover-color);
    text-shadow: 0 0 5px var(--text-color-general), 0 0 10px var(--text-color-general), 0 0 15px var(--text-color-general), 0 0 20px var(--text-color-general);
    filter: brightness(1.05);
}


/* END PREVIOUS/NEXT ARROW */

/* NEON MINIMALIST BUTTON */

  .stw-blue-neon-btn {
    --color: var(--stw-gray-text);
    font-size: 0.875rem;
    color: var(--color);
    padding: 0.5em 1.2em;
    letter-spacing: 0.05em;
    border-radius: 0.4em;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    background: var(--stw-gray-1);
    transition: background-color 0.5s cubic-bezier(0.25, 0.8, 0.25, 1),
      color 0.3s ease, transform 0.2s ease-in-out,
      box-shadow 0.3s ease, border-color 0.3s ease;
    position: relative;
    overflow: hidden;
    border: 1px solid white;
  }

  .stw-blue-neon-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(
      90deg,
      transparent,
      rgba(255, 255, 255, 0.2),
      transparent
    );
    transform: translateX(-100%);
    transition: transform 0.6s cubic-bezier(0.8, 0, 0.2, 1);
    z-index: 1;
  }

  .stw-blue-neon-btn:hover::before {
    transform: translateX(100%);
  }

  .stw-blue-neon-btn::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.2);
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 2;
  }

  .stw-blue-neon-btn:hover::after {
    opacity: 1;
  }

  .stw-blue-neon-btn:hover {
    background-color: var(--stw-gray-1-2);
    color: white;
    transform: translateY(-2px) scale(1.05);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    outline: none;
    border-color: white;
    border: 2px solid;
  }

  .stw-blue-neon-btn:active {
    transform: translateY(0) scale(0.95);
    box-shadow: 0 1px 2px rgba(245, 245, 245, 0.4);
  }

.stw-blue-neon-btn.sales_keyword {
    border: 1.5px solid var(--stw-gray-3) !important;
    color: var(--stw-grey);
    background: linear-gradient(to right, rgba(245, 245, 245, 0.1) 1%, transparent 30%, transparent 70%, rgba(245, 245, 245, 0.1) 100%);
}

.stw-blue-neon-btn.btn-selected {
    background-color: var(--stw-gray-1-2);
    border-color: var(--stw-gray-1) !important;
    box-shadow: 0 0 2px var(--stw-red-color), 0 0 5px var(--stw-red-color), 0 0 7px var(--stw-red-color), 0 0 10px var(--stw-red-color) !important;
    filter: brightness(1);
    color: white;
    transform: translateY(-2px) scale(1.05);
    outline: none;
    border: 2px solid;

}

.stw-blue-neon-btn.white-border {
  border: none;
  color: var(--stw-grey);
}




/* END NEON BUTTON */



/* MATRIX BUTTON */

.matrix-box {
  --clr-shadow__border: #A8DF8E;
  --clr-text: #F6F4EB;
  --clr-code-line: #43ff85;
  --clr-matrix: #020204;
  --size: 3rem;

  outline: 1px solid var(--clr-shadow__border);
}

.matrix-button {
  font-size: 1rem;
  letter-spacing: 0.2rem;
  color: var(--clr-text);
  padding: calc(var(--size) / 3) var(--size);
  background: transparent;
  border: none;
  cursor: pointer;
  text-shadow: 1px 0px var(--clr-shadow__border), 0px 1px var(--clr-shadow__border),
  -1px 0px var(--clr-shadow__border), 0px -1px var(--clr-shadow__border);
}

.matrix {
  width: 100%;
  height: 100%;
  bottom: 0%;
  transition: 0.5s ease-in-out;
  z-index: -1;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: absolute;
  background: var(--clr-matrix);
}

.matrix-box:hover .matrix {
  opacity: 1;
}

.code-line {
  position: relative;
  display: flex;
  flex-direction: column-reverse;
  transition: 0.5s;
  min-height: 0.6rem;
  min-width: 0.6rem;
  animation: matrix-animation calc(.2s * var(--i)) linear infinite;
}

.code {
  text-shadow: 20px 100px var(--clr-code-line),-20px -50px var(--clr-code-line);
  font-size: 0.8rem;
  font-weight: 400;
  color: var(--clr-code-line);
  opacity: 0.5;
}

.code:first-child {
  color: var(--clr-text);
  opacity: 1;
}

@keyframes matrix-animation {
  0% {
    transform: translateY(calc(-50% * var(--i)));
  }

  100% {
    -webkit-transform: translateY(calc(50% * var(--i)));
    transform: translateY(calc(50% * var(--i)));
  }
}


.hint_button_small {
    --color: var(--stw-gray-1);
    background-color: var(--color) !important;
    border: none !important;
}

.hint_button_small.btn-selected {
    --color: var(--stw-red-color);
}